package com.cgi.cihr.model;

import org.apache.commons.lang.StringEscapeUtils;


/**
 * HR Volume model.
 * 
 * @author tomas.hansson
 */
public class HRVolume {
	private static String CATEGORY = "HR";
	private static String PRI = "PRI";

	private String pinNo;
	
	/**
	 * Constructor.
	 * 
	 * @param pinNo
	 */
	public HRVolume(String pinNo) {
		super();
		this.pinNo = pinNo;
	}

	/**
	 * @return the pinNo
	 */
	public String getPinNo() {
		return pinNo;
	}

	/**
	 * @param pinNo the pinNo to set
	 */
	public void setPinNo(String pinNo) {
		this.pinNo = pinNo;
	}

	/**
	 * To string.
	 * 
	 * @return String
	 */
	public String toString() {
		return "HRVolume [pinNo=" + pinNo + "]";
	}

	/**
	 * Write the category as Importer XML string.
	 * 
	 * @return String
	 */
	public String toXMLString() {
		StringBuffer xml = new StringBuffer();
		String txt = null;
		
		xml.append("    <category name=\"Livelink Categories:" + CATEGORY + "\">\n");
		xml.append("      <attribute name=\"" + PRI + "\">");
		 
		if (pinNo == null) {
			txt = "N/A";
		} else {
			txt = StringEscapeUtils.escapeXml(pinNo);
		}
		
		xml.append(txt + "</attribute>\n");
		xml.append("    </category>\n");
		
		return xml.toString();
	}
}
