package com.cgi.cihr.model;

/**
 * Pair class.
 * 
 * @author tomas.hansson
 */
public class Pair {
	private Object o1;
	private Object o2;

	/**
	 * Constructor.
	 */
	public Pair() {
		// Do nothing
	}
	
	/**
	 * Constructor.
	 * 
	 * @param o1
	 * @param o2
	 */
	public Pair(Object o1, Object o2) {
		this.o1 = o1;
		this.o2 = o2;
	}

	/**
	 * Get first.
	 * 
	 * @return Object
	 */
	public Object getFirst() {
		return o1;
	}
	
	/**
	 * Get second.
	 * 
	 * @return Object
	 */
	public Object getSecond() {
		return o2;
	}

	/**
	 * Set first.
	 * 
	 * @param o
	 */
	public void setFirst(Object o) {
		o1 = o;
	}
	
	/**
	 * Set second.
	 * 
	 * @param o
	 */
	public void setSecond(Object o) {
		o2 = o;
	}

	/**
	 * Equals.
	 * 
	 * @return boolean
	 */
	public boolean equals(Object obj) {
		if (!(obj instanceof Pair)) {
			return false;
		}
		
		return o1.equals(o2);
	}

	/**
	 * To string.
	 * 
	 * @return String
	 */
	public String toString() {
		return "Pair{"+o1+", "+o2+"}";
	}
}